---
updatedAt: 2025-09-24T00:06:33.000Z
agentTools:
  projectIndex: https://docs.bridgeapi.io/v2021.06.01/llms.txt
---

# List stocks

Return a user's list of stocks.

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "v2021-06-01",
    "version": "2021.06.01"
  },
  "servers": [
    {
      "url": "https://api.bridgeapi.io/v2"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "in": "header",
        "name": "Client-Id"
      },
      "sec1": {
        "type": "apiKey",
        "in": "header",
        "name": "Client-Secret"
      }
    }
  },
  "security": [
    {
      "sec0": [],
      "sec1": []
    }
  ],
  "paths": {
    "/stocks": {
      "get": {
        "summary": "List stocks",
        "description": "Return a user's list of stocks.",
        "operationId": "list-stocks",
        "parameters": [
          {
            "name": "after",
            "in": "query",
            "description": "Cursor pointing to the start of the desired set.",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "limit",
            "in": "query",
            "description": "Maximum number of returned stock elements.",
            "schema": {
              "type": "integer",
              "format": "int32",
              "default": 50
            }
          },
          {
            "name": "Client-Id",
            "in": "header",
            "description": "Application's client id.",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "Client-Secret",
            "in": "header",
            "description": "Application's client secret.",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "Authorization",
            "in": "header",
            "description": "Secret access token.",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n  \"resources\": [\n    {\n      \"id\": 1510467,\n      \"current_price\": 124.96,\n      \"quantity\": 8.0,\n      \"total_value\": 999.68,\n      \"average_purchase_price\": 94.12,\n      \"updated_at\": \"2019-09-27T10:27:16.573Z\",\n      \"ticker\": \"FB\",\n      \"stock_key\": \"US30303M1027-FACEBOOK--USD\",\n      \"created_at\": \"2019-09-27T10:27:17.000Z\",\n      \"isin\": \"US30303M1027\",\n      \"currency_code\": \"USD\",\n      \"marketplace\": null,\n      \"label\": \"Facebook\",\n      \"value_date\": \"2015-08-23\",\n      \"is_deleted\": false,\n      \"account_id\": 16717622\n    },\n    {\n      \"id\": 1510466,\n      \"current_price\": 769.08,\n      \"quantity\": 2.0,\n      \"total_value\": 1538.16,\n      \"average_purchase_price\": 762.6,\n      \"updated_at\": \"2019-09-27T10:27:16.567Z\",\n      \"ticker\": \"AMZN\",\n      \"stock_key\": \"US0231351067-AMAZON--USD\",\n      \"created_at\": \"2019-09-27T10:27:17.000Z\",\n      \"isin\": \"US0231351067\",\n      \"currency_code\": \"USD\",\n      \"marketplace\": null,\n      \"label\": \"Amazon\",\n      \"value_date\": \"2015-08-23\",\n      \"is_deleted\": false,\n      \"account_id\": 16717622\n    }\n\t],\n  \"pagination\": {\n    \"next_uri\": \"/v2/stocks?after=OTI%3D&limit=2\"\n  }\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "resources": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "id": {
                            "type": "integer",
                            "example": 1510467,
                            "default": 0
                          },
                          "current_price": {
                            "type": "number",
                            "example": 124.96,
                            "default": 0
                          },
                          "quantity": {
                            "type": "integer",
                            "example": 8,
                            "default": 0
                          },
                          "total_value": {
                            "type": "number",
                            "example": 999.68,
                            "default": 0
                          },
                          "average_purchase_price": {
                            "type": "number",
                            "example": 94.12,
                            "default": 0
                          },
                          "updated_at": {
                            "type": "string",
                            "example": "2019-09-27T10:27:16.573Z"
                          },
                          "ticker": {
                            "type": "string",
                            "example": "FB"
                          },
                          "stock_key": {
                            "type": "string",
                            "example": "US30303M1027-FACEBOOK--USD"
                          },
                          "created_at": {
                            "type": "string",
                            "example": "2019-09-27T10:27:17.000Z"
                          },
                          "isin": {
                            "type": "string",
                            "example": "US30303M1027"
                          },
                          "currency_code": {
                            "type": "string",
                            "example": "USD"
                          },
                          "marketplace": {},
                          "label": {
                            "type": "string",
                            "example": "Facebook"
                          },
                          "value_date": {
                            "type": "string",
                            "example": "2015-08-23"
                          },
                          "is_deleted": {
                            "type": "boolean",
                            "example": false,
                            "default": true
                          },
                          "account_id": {
                            "type": "integer",
                            "example": 16717622,
                            "default": 0
                          }
                        }
                      }
                    },
                    "pagination": {
                      "type": "object",
                      "properties": {
                        "next_uri": {
                          "type": "string",
                          "example": "/v2/stocks?after=OTI%3D&limit=2"
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        "deprecated": false,
        "x-readme": {
          "code-samples": [
            {
              "language": "curl",
              "code": "curl \"https://api.bridgeapi.io/v2/stocks?limit=2\" \\\n\t-X GET \\\n  -H 'Bridge-Version: 2021-06-01' \\\n\t-H 'Client-Id: MY_CLIENT_ID' \\\n\t-H 'Client-Secret: MY_CLIENT_SECRET' \\\n\t-H 'Authorization: Bearer TOP_SECRET_ACCESS_TOKEN'"
            }
          ],
          "samples-languages": [
            "curl"
          ]
        }
      }
    }
  },
  "x-readme": {
    "headers": [
      {
        "key": "Bridge-Version",
        "value": "2021-06-01"
      }
    ],
    "explorer-enabled": false,
    "proxy-enabled": false
  },
  "x-readme-fauxas": true
}
```